/*
 * isoprint.h
 * translate Latin-1 to nearest ascii
 * Greg Lee, 9/01
 */

unsigned char isoprint[256] = {
PS_grave, PS_acute, PS_circumflex, PS_tilde,
PS_dieresis, PS_hungarumlaut, PS_ring, PS_caron,
PS_breve, PS_macron, PS_dotaccent, PS_cedilla,
PS_ogonek, PS_underdot, PS_undergrave, PS_underacute,
PS_underbreve, PS_underline, PS_stroke, PS_slash,
DEL, DEL, DEL, DEL,
DEL, PS_dotlessi, DEL, DEL, DEL, DEL, DEL, DEL, 
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/', 
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?', 
'@', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^', '_', 
'`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~', '~', 
DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 
DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 
'.', 'l', 'L', 's', 'S', 'z', 'Z', '\'', DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 
' ', '!', DEL, DEL, DEL, DEL, '|', DEL, '"', DEL, DEL, '"', DEL, '-', DEL, '_', 
DEL, DEL, DEL, DEL, '\'', DEL, DEL, DEL, '.', DEL, DEL, '"', DEL, DEL, DEL, '?', 
'A', 'A', 'A', 'A', 'A', 'A', 'A', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 
'E', 'N', 'O', 'O', 'O', 'O', 'O', DEL, 'O', 'U', 'U', 'U', 'U', 'Y', 'T', 'w', 
'a', 'a', 'a', 'a', 'a', 'a', 'w', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 
'd', 'n', 'o', 'o', 'o', 'o', 'o', DEL, 'o', 'u', 'u', 'u', 'u', 'y', 'd', 'y'
};

unsigned char roman_diacritic[256] = {
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1,
DEL, DEL, DEL, DEL,
DEL, 'i', DEL, DEL, DEL, DEL, DEL, DEL, 
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/', 
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?', 
'@', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^', '_', 
'`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~',   1, 
DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 
DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 

'.', 'l', 'L', 's', 'S', 'z', 'Z', '\'', DEL, DEL, DEL, DEL, DEL, DEL, DEL, DEL, 
                                        /* dieresis 			macron */
' ', '!', DEL, DEL, DEL, DEL, '|', DEL, '"', DEL, DEL, '"', DEL, '-', DEL, '_', 
                  /* acute              cedilla */
DEL, DEL, DEL, DEL, '\'', DEL, DEL, DEL, '.', DEL, DEL, '"', DEL, DEL, DEL, '?', 
'A', 'A', 'A', 'A', 'A', 'A', 'A', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 
'E', 'N', 'O', 'O', 'O', 'O', 'O', DEL, 'O', 'U', 'U', 'U', 'U', 'Y', 'T', 'w', 
'a', 'a', 'a', 'a', 'a', 'a', 'w', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 
'd', 'n', 'o', 'o', 'o', 'o', 'o', DEL, 'o', 'u', 'u', 'u', 'u', 'y', 'd', 'y'
};

